Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.validation
[Java] Interface VetoingConstraint

    org.codehaus.groovy.grails.validation.VetoingConstraint
      org.springframework.beans.factory.Aware
          org.codehaus.groovy.grails.validation.Constraint

All Superinterfaces:
  org.springframework.beans.factory.Aware, Constraint

    public interface VetoingConstraint
    extends Constraint

Marker interface for vetoing constraint.

Vetoing constraints are those which might return 'true' from validateWithVetoing method to prevent any additional validation of the property. These constraints are proceeded before any other constraints, and validation continues only if no one of vetoing constraint hadn't vetoed.

Authors:
  Sergey Nebolsin ()

Method Summary
`boolean` | `validateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`

Methods inherited from interface Constraint
getName, getParameter, getPropertyName, isValid, setMessageSource, setOwningClass, setParameter, setPropertyName, supports, validate

Methods inherited from interface org.springframework.context.MessageSourceAware
org.springframework.context.MessageSourceAware#setMessageSource(org.springframework.context.MessageSource)

Method Detail

### validateWithVetoing

    public boolean validateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

Groovy Documentation